class PhoneValidator < ActiveModel::EachValidator

  def validate_each(record, attribute, value)
    unless value =~ /^[0-9+\(\)#\.\s\/ext-]+$/i
      record.errors[attribute] << (options[:message] || I18n.t('flash_validators.errors.messages.phone'))
    end
  end

end